---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsrcdebugex003.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F6E0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51620, symBinAddr: 0xE100, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51A10, symBinAddr: 0xE4F0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x529B0, symBinAddr: 0xF490, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x529C0, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0x6A0C0, symBinAddr: 0x26BA0, symSize: 0x0 }
  - { offsetInCU: 0x8DA9, offset: 0x8DA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F350, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x8DB4, offset: 0x8DB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F354, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x8DBF, offset: 0x8DBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F358, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x8E04, offset: 0x8E04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F4B0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8E7D, offset: 0x8E7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F568, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8E9B, offset: 0x8E9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F56C, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8EB4, offset: 0x8EB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F570, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8ECD, offset: 0x8ECD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F574, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8EE6, offset: 0x8EE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F578, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EFF, offset: 0x8EFF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F580, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F88, offset: 0x8F88, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F598, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8FA1, offset: 0x8FA1, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F5A0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FBA, offset: 0x8FBA, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F5A8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FD3, offset: 0x8FD3, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F5B0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FED, offset: 0x8FED, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F5B8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90D3, offset: 0x90D3, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4F600, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x90EC, offset: 0x90EC, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4F610, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9145, offset: 0x9145, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x47E0, symSize: 0x80 }
  - { offsetInCU: 0x91DA, offset: 0x91DA, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4730, symSize: 0xB0 }
  - { offsetInCU: 0x9235, offset: 0x9235, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4630, symSize: 0x100 }
  - { offsetInCU: 0x94C8, offset: 0x94C8, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4860, symSize: 0x220 }
  - { offsetInCU: 0x96AD, offset: 0x96AD, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4A80, symSize: 0xA0 }
  - { offsetInCU: 0x9760, offset: 0x9760, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4B20, symSize: 0x110 }
  - { offsetInCU: 0x9856, offset: 0x9856, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4C30, symSize: 0x150 }
  - { offsetInCU: 0x9987, offset: 0x9987, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4D80, symSize: 0x30 }
  - { offsetInCU: 0x9A30, offset: 0x9A30, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4DB0, symSize: 0x150 }
  - { offsetInCU: 0x9C28, offset: 0x9C28, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4F00, symSize: 0x160 }
  - { offsetInCU: 0x9DB4, offset: 0x9DB4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x5060, symSize: 0x1B0 }
  - { offsetInCU: 0x9FCF, offset: 0x9FCF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x5210, symSize: 0xA0 }
  - { offsetInCU: 0xA09E, offset: 0xA09E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x52B0, symSize: 0x20 }
  - { offsetInCU: 0xA0D5, offset: 0xA0D5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x52D0, symSize: 0x20 }
  - { offsetInCU: 0xA10C, offset: 0xA10C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x52F0, symSize: 0x20 }
  - { offsetInCU: 0xA27B, offset: 0xA27B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x5310, symSize: 0x1A0 }
  - { offsetInCU: 0xA5A1, offset: 0xA5A1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x54B0, symSize: 0x80 }
  - { offsetInCU: 0xA66A, offset: 0xA66A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5530, symSize: 0x6A0 }
  - { offsetInCU: 0xB1FF, offset: 0xB1FF, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9E90, symBinAddr: 0x6550, symSize: 0xB0 }
  - { offsetInCU: 0xB276, offset: 0xB276, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5BD0, symSize: 0x70 }
  - { offsetInCU: 0xB332, offset: 0xB332, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5C40, symSize: 0xA0 }
  - { offsetInCU: 0xB431, offset: 0xB431, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5CE0, symSize: 0x40 }
  - { offsetInCU: 0xB527, offset: 0xB527, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5D20, symSize: 0x2B0 }
  - { offsetInCU: 0xB8CD, offset: 0xB8CD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5FD0, symSize: 0xC0 }
  - { offsetInCU: 0xBA13, offset: 0xBA13, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x6090, symSize: 0x10 }
  - { offsetInCU: 0xBAD5, offset: 0xBAD5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x60A0, symSize: 0x220 }
  - { offsetInCU: 0xBDD2, offset: 0xBDD2, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x62C0, symSize: 0x10 }
  - { offsetInCU: 0xBE28, offset: 0xBE28, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x62D0, symSize: 0xF0 }
  - { offsetInCU: 0xBFA8, offset: 0xBFA8, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D00, symBinAddr: 0x63C0, symSize: 0x10 }
  - { offsetInCU: 0xC02A, offset: 0xC02A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetSourceDebugExtension_srcdebugex003_getSrcDebugX, symObjAddr: 0x9D10, symBinAddr: 0x63D0, symSize: 0x180 }
  - { offsetInCU: 0xC123, offset: 0xC123, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9F40, symBinAddr: 0x6600, symSize: 0x36A }
...
